org.apache.hadoop.mapreduce.v2.proto

## Interface MRProtos.JobIdProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    MRProtos.JobIdProto, MRProtos.JobIdProto.Builder
  Enclosing class:
    MRProtos

      public static interface MRProtos.JobIdProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.proto.YarnProtos.ApplicationIdProto` | `getAppId()` `optional .hadoop.yarn.ApplicationIdProto app_id = 1;`
    `org.apache.hadoop.yarn.proto.YarnProtos.ApplicationIdProtoOrBuilder` | `getAppIdOrBuilder()` `optional .hadoop.yarn.ApplicationIdProto app_id = 1;`
    `int` | `getId()` `optional int32 id = 2;`
    `boolean` | `hasAppId()` `optional .hadoop.yarn.ApplicationIdProto app_id = 1;`
    `boolean` | `hasId()` `optional int32 id = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasAppId

          boolean hasAppId()

      `optional .hadoop.yarn.ApplicationIdProto app_id = 1;`

    - #### getAppId

          org.apache.hadoop.yarn.proto.YarnProtos.ApplicationIdProto getAppId()

      `optional .hadoop.yarn.ApplicationIdProto app_id = 1;`

    - #### getAppIdOrBuilder

          org.apache.hadoop.yarn.proto.YarnProtos.ApplicationIdProtoOrBuilder getAppIdOrBuilder()

      `optional .hadoop.yarn.ApplicationIdProto app_id = 1;`

    - #### hasId

          boolean hasId()

      `optional int32 id = 2;`

    - #### getId

          int getId()

      `optional int32 id = 2;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.